0
Under review
Vlad R 1 month ago in New feature announcement • updated 4 weeks ago 5

A FileRun software update containing critical security fixes is now available.

For the security of your data, it is advisable to install the update as soon as possible.


For information on how to install software updates, please see: http://docs.filerun.com/updating


Enterprise customers: if your support service expired less than one year ago, please contact us (https://www.filerun.com/contact), and we will provide free access to the software update.

Upgrade to php ver 7 - not compiled under this version - so upgrade is not working.

- a new installation need to be done.

Martin

You are referring to an older FileRun update. FileRun updates do not cumulate, but they are installed one after the other. Since "2017.01.23" FileRun requires ionCube version 6+. You are using an older ionCube version, hence the problem.

I know, changed in EasyApache 4 to php7 with ionCube version 6+ - and Filerun did'nt start - only errors.I love your software, but it should be easy to do a manual upgrade with critical files, withouth changing the whole domain.

You changed also the PHP version, from 5 to 7. It's the expected result and this is the solution: http://docs.filerun.com/php7 If you would have just update ionCube, you wouldn't have been forced to replace all the application files.

I know, and the userguide is good, but I have a lot of other software on this server:
https://documentation.cpanel.net/display/EA4/PHP+Loader%3A+ionCube+6 - is the userguide to install iconcube 6 on php5.6 - i will try, but have no time to test all the other software now.